import { createErrorType, createFetchType, createSetType, createSuccessType } from "../actionHelpers";

const CATEGORIES_SCOPE = "CATEGORIES";
export const CATEGORIES_FETCH = createFetchType(CATEGORIES_SCOPE);
export const CATEGORIES_FETCH_SUCCESS = createSuccessType(CATEGORIES_SCOPE);
export const CATEGORIES_FETCH_ERROR = createErrorType(CATEGORIES_SCOPE);

export const CATEGORIES_SET = createSetType("CATEGORIES_SET");